rsibreak (4:0.12.14-1) unstable; urgency=medium

  * New upstream release.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
  * Switch the watch file to version 4, no changes required.
  * Bump Standards-Version to 4.5.1, no changes required.
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * Fix day-of-week for changelog entry 0.6.0-1.
  * Update the build dependencies according to the upstream build system:
    - drop libkf5iconthemes-dev, no more needed now
  * Add Rules-Requires-Root: no.

 -- Pino Toscano <pino@debian.org>  Sun, 15 Aug 2021 19:27:28 +0200

rsibreak (4:0.12.13-1) unstable; urgency=medium

  * New upstream release.
  * Add the configuration for the CI on salsa.
  * Update the build dependencies according to the upstream build system:
    - bump qtbase5-dev to 5.10.0
  * Bump Standards-Version to 4.5.0, no changes required.
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Drop the man pages, as it is outdated, and in general not useful.

 -- Pino Toscano <pino@debian.org>  Sat, 04 Apr 2020 17:44:42 +0200

rsibreak (4:0.12.11-1) unstable; urgency=medium

  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.5.0
    - bump qtbase5-dev to 5.6.0
    - bump extra-cmake-modules to 5.18.0

 -- Pino Toscano <pino@debian.org>  Fri, 27 Sep 2019 20:01:09 +0200

rsibreak (4:0.12.10-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.4.0, no changes required.
  * Explicitly add the gettext build dependency.

 -- Pino Toscano <pino@debian.org>  Mon, 08 Jul 2019 21:45:26 +0200

rsibreak (4:0.12.9-1) unstable; urgency=medium

  * New upstream release.
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
    - remove --parallel for dh, as now done by default
  * Bump Standards-Version to 4.2.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Sun, 21 Oct 2018 08:34:16 +0200

rsibreak (4:0.12.8-2) unstable; urgency=medium

  * Configure Xvfb so it has a proper depth; it should work also when Qt is
    built with OpenGL ES.

 -- Pino Toscano <pino@debian.org>  Wed, 14 Feb 2018 07:12:08 +0100

rsibreak (4:0.12.8-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.3, no changes required.
  * Remove Fathi Boudra from Uploaders, as requested by the MIA team.
    (Closes: #879432)
  * This new version has tests that require a display, so:
    - add the xvfb, and xauth build dependencies
    - run dh_auto_test via xvfb-run
  * Use https for the watch file.
  * Remove trailing whitespaces in changelog.
  * Use https for the Homepage field.

 -- Pino Toscano <pino@debian.org>  Mon, 12 Feb 2018 20:32:23 +0100

rsibreak (4:0.12.7-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sat, 17 Jun 2017 15:28:29 +0200

rsibreak (4:0.12.5-1) unstable; urgency=medium

  * New upstream release.
  * Replace the transitional build dependencies:
    - kdoctools-dev -> libkf5doctools-dev

 -- Pino Toscano <pino@debian.org>  Sat, 14 Jan 2017 12:30:08 +0100

rsibreak (4:0.12.3-1) unstable; urgency=medium

  * New upstream release.
  * Add libkf5crash-dev as new build dependency.
  * Bump Standards-Version to 3.9.8, no changes required.
  * Update Vcs-Browser field.

 -- Pino Toscano <pino@debian.org>  Fri, 10 Jun 2016 09:50:17 +0200

rsibreak (4:0.12.1-1) unstable; urgency=medium

  [ Pino Toscano ]
  * New upstream release:
    - there is a new active upstream, which accepts bugs (Closes: #769603)
    - the port to Frameworks makes it use the new protocol for tray icon
      (Closes: #812347)
  * Re-add a watch file.
  * Update the build dependencies following the port to Frameworks:
    - remove kdelibs5-dev, libqt4-dev, libxrandr-dev, and libxss-dev
    - add qtbase5-dev, extra-cmake-modules, kdoctools-dev, libkf5config-dev,
      libkf5configwidgets-dev, libkf5dbusaddons-dev, libkf5i18n-dev,
      libkf5iconthemes-dev, libkf5idletime-dev, libkf5notifications-dev,
      libkf5notifyconfig-dev, libkf5textwidgets-dev, libkf5windowsystem-dev,
      and libkf5xmlgui-dev
  * Use the right dh addon:
    - switch from kde to kf5 dh addon
    - bump the pkg-kde-tools build dependency to >= 0.15.16
  * Add myself to Uploaders.
  * Small change to short description.

 -- Pino Toscano <pino@debian.org>  Mon, 25 Jan 2016 23:48:46 +0100

rsibreak (4:0.11-4) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 3.9.6, no changes required.
  * Drop menu file and its pixmaps, since rsibreak already provides a .desktop
    file.

 -- Pino Toscano <pino@debian.org>  Mon, 11 Jan 2016 12:30:47 +0100

rsibreak (4:0.11-3) unstable; urgency=low

  * Team upload.

  [ Mark Purcell ]
  * Update Homepage: to KDE UserBase. Upstream looks dead :-(
  * Provide Vcs-Svn: & Vcs-Browser:

  [ Pino Toscano ]
  * Bump debhelper compatibility to 9:
    - bump debhelper build dependency to 9
    - bump compat to 9
  * Simplify rules making use of the kde addon of dh.
    - bump the pkg-kde-tools build dependency to 0.6.2
  * Remove README.source, obsolete.
  * Fix "hyphen-used-as-minus" in the man page.
  * Remove the watch file, since it is no more developed upstream.
  * Bump Standards-Version to 3.9.4, no changes required.
  * Enable the parallel build.
  * Remove Armin from Uploaders.
  * Link in as-needed mode.

 -- Pino Toscano <pino@debian.org>  Mon, 03 Jun 2013 11:05:25 +0200

rsibreak (4:0.11-2) unstable; urgency=low

  * Upload to unstable.
  * Update to Standards-Version 3.9.1, no changes required.
  * Update uploaders:
    - retired: Xavier Vello
    - inactive: Daniel Queirolo, Achim Bohnet
    - per request: Sune Vuorela

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 06 Feb 2011 21:12:24 +0100

rsibreak (4:0.11-1) experimental; urgency=low

  [Tom Albers]
  * New upstream release

  [ Mark Purcell ]
  * Upload to experimental while we await squeeze release

 -- Mark Purcell <msp@debian.org>  Sun, 16 Jan 2011 02:06:33 +1000

rsibreak (4:0.11~beta1-1) experimental; urgency=low

  * New upstream release
    - Require Qt 4.6.0 and KDE 4.4.0 (Build-Depends:)
    - Make timers work for Qt=>4.4 (Closes: #409172)
    - Fixes FTBFS gcc-4.5/ binutils-gold (Closes: #565060, #556330)

  [Tom Albers]
  * Fixes typo in description (Closes: #567984)

  [ Mark Purcell ]
  * Upload to experimental while we await squeeze release
  * source/format -> 3.0 (quilt)

 -- Mark Purcell <msp@debian.org>  Sat, 02 Oct 2010 09:06:33 +1000

rsibreak (4:0.10-2) unstable; urgency=low

  * Bump epoch to 4. It allows Ubuntu to sync.

 -- Fathi Boudra <fabo@debian.org>  Fri, 24 Jul 2009 19:26:20 +0200

rsibreak (1:0.10-1) unstable; urgency=low

  * New upstream release.

  [Tom Albers]
  * Does not take focus when menu is shown (LP:#107718)
  * countdown counter is clipped (LP:#118769)
  * hogs memory (memory leak?) (LP:#362609)

 -- Fathi Boudra <fabo@debian.org>  Sun, 19 Jul 2009 18:00:00 +0200

rsibreak (1:0.10~beta2-1) unstable; urgency=low

  * New upstream release.

  [Tom Albers]
  * Update debian/copyright.

 -- Fathi Boudra <fabo@debian.org>  Thu, 16 Jul 2009 16:18:36 +0200

rsibreak (1:0.10~beta1-1) unstable; urgency=low

  * New upstream release.
  * Remove all patches:
    - build with KDE 4.2.0 - fixed upstream.
    - memory leak - merged upstream.
    - po duplicates - fixed upstream.
  * Bump compat/debhelper to 7.
  * Remove cdbs build dependency.
  * Add debian/rsibreak.manpages and rename rsibreak manpage to rsibreak.1.
  * Add debian/rsibreak.install.
  * Rewrite debian/rules.

 -- Fathi Boudra <fabo@debian.org>  Sat, 11 Jul 2009 11:44:46 +0200

rsibreak (1:0.9.0-5) unstable; urgency=low

  * run po/CMakeLists.txt thru uniq to fix build issues with cmake 2.6.4

 -- Sune Vuorela <debian@pusling.com>  Fri, 15 May 2009 07:58:54 +0200

rsibreak (1:0.9.0-4) unstable; urgency=low

  * Upload to unstable.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Tue, 07 Apr 2009 05:39:12 +0200

rsibreak (1:0.9.0-3) experimental; urgency=low

  * Add versionning to kdelibs5-dev b-d (Closes: #513684)
  * Added upstream patch 02_mem_leak to fix a memory leak
  * Section: utils (instead of util)
  * Added /usr/share/cdbs/1/rules/patchsys-quilt.mk to rules

 -- Xavier Vello <xavier.vello@gmail.com>  Sat, 31 Jan 2009 13:51:42 +0100

rsibreak (1:0.9.0-2) experimental; urgency=low

  +++ Changes by Scott Kitterman:

  * Updated debian/copyright for new plasma/ files

  +++ Changes by Mark Purcell:

  * Add ${misc:Depends}
  * Update debian/watch

  +++ Changes by Xavier Vello:

  * Migrate to pkg-kde-tools
  * Added 01_build_with_4.2.0

 -- Xavier Vello <xavier.vello@gmail.com>  Thu, 29 Jan 2009 01:03:17 +0100

rsibreak (1:0.9.0-1) experimental; urgency=low

  * New upstream release. (Closes: #507957)

  +++ Changes by Xavier Vello:

  * Add back the plasmoid.
  * Remove libphonon-dev build depend.
  * Remove patch blitzcpuinfo.diff, obsolete.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Add Homepage field.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 03 Jan 2009 23:23:06 +0100

rsibreak (1:0.9.0~beta3-kde4.0.80-1) experimental; urgency=low

  * New upstream release.
    - plasmoid broken

  +++ Changes by Sune Vuorela:

  * Add libxrender-dev to builddependencies
  * Remove libplasma-dev - plasmoid is currently broken

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Add epoch due to new versioning number.
  * Update copyright years.

  +++ Changes by Matthew Rosewarne:

  * Add runtime MMX detection from QImageBlitz. (TODO: REVIEW)
  * Tweak package description.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 08 Mar 2008 02:23:35 +0100

rsibreak (4.0.0-1) experimental; urgency=low

  * New upstream release.
  * Changed to kdelibs5-dev (>= 4:4.0.0) on debian/control.
  * Added libphonon-dev to Build-Depends.
  * Add patch for src/grayouteffect.cpp. Commented some mmmx related code.

 -- Daniel Queirolo <danf.1979@gmail.com>  Mon, 14 Jan 2008 18:17:48 -0300

rsibreak (3.97.0-2) experimental; urgency=low

  * Remove -mmmx flag. (Closes: #457737)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 26 Dec 2007 08:18:51 +0100

rsibreak (3.97.0-1) experimental; urgency=low

  * Initial release for KDE4.

 -- Armin Berres <trigger+debian@space-based.de>  Sat, 15 Dec 2007 13:11:31 +0000

rsibreak (0.8.0-4) unstable; urgency=low

  [Tom Albers]
  * added patch 15 to properly fix the accelarator bug
    (launchpad bug: 118315)
  * Standards-Version updated, no changes needed.

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Mon,  4 Jun 2007 00:08:51 +0200

rsibreak (0.8.0-3) unstable; urgency=low

  [Tom Albers]
  * added patch to disable Accel according to the settings
    (launchpad bug: 118315)
  * added patch to reduce memory footprint
    (upstream bug: 143784)
  * added patch to give proper description in KDE Global shortcuts settings.
    (upstream bug: 146005)

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Sat,  2 Jun 2007 00:25:24 +0100

rsibreak (0.8.0-2) unstable; urgency=low

  [ Mark Purcell ]
  *  Regenerate 98_buildprep.diff

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Fri, 20 Oct 2006 18:48:08 +0100

rsibreak (0.8.0-1) unstable; urgency=low

  [ Mark Purcell ]
  * New upstream release

  [ Tom Albers ]
  * Removed dependancy kdelibs-bin (merged into kdelibs4c2a),
    Kubuntu change from Sarah Hobbs <hobbsee@ubuntu.com>

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Sun, 15 Oct 2006 11:57:15 +0100

rsibreak (0.7.1-1) unstable; urgency=low

  [ Achim Bohnet ]
  * New upstream release
  * adapt 11_fix_used_libs.diff and 98_buildprep.diff
  * remove 04b_am_maintainer_mode.patch: 0.7.1 (p)builds
    without it.
  * debian/copyright: Remove Bram from Artist list. All Icons are now from
    Lee.  Add Tina to Contributors
  * debian/rsibreak*.xpm: update debian menu icons with new version created
    by Lee.

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Tue, 20 Jun 2006 23:47:05 +0200

rsibreak (0.6.0-1) unstable; urgency=low

  [ Tom Albers ]
  * Second try on Bug#361283: rsibreak_0.6-rc1-0(sparc/experimental): FTBFS.
    ./configure missing, added 04b_am_maintainer_mode.patch

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Fri, 14 Apr 2006 20:07:00 +0100

rsibreak (0.6.0-0) unstable; urgency=low

  [ Tom Albers ]
  * A piece of code has been isolated in a library to make it possible to
    compile it with --enable-final. Activated that again.
  * Closes Bug#361283: rsibreak_0.6-rc1-0(sparc/experimental): FTBFS.

  [ Mark Purcell ]
  * Update debian/watch
  * CLeanup debian/rules

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Tue, 11 Apr 2006 07:34:00 +0100

rsibreak (0.6-rc1-0) experimental; urgency=low

  [ Tom Albers ]
  * Updated watch/control/manpage to point to new homepage
  * New upstream release - release candidate
  * Removed patches 13 and 14 as they are included
  * disabled --enable-final as there is a clash for INT32 between Xmd.h and
    qglobal.h

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Sat,  1 Apr 2006 20:32:12 +0100

rsibreak (0.5.0-2) unstable; urgency=low

  [ Tom Albers ]
  * added 13_popup.diff: the popup states there is a clock in the tray,
    but that only appears after clicking the message away, this fixes that.
    Bug is there since Nov 12, 2005.
  * added 14_double_quit.diff: for Gnome there were two Quit items in the
    context menu, this is now resolved.

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Sat,  4 Mar 2006 01:41:25 +0100

rsibreak (0.5.0-1) unstable; urgency=low

  * "The too late for Dapper, but not for Etch" upload

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Sat, 25 Feb 2006 22:44:54 +0100

rsibreak (0.5.0-0ubuntu1) dapper; urgency=low

  [ Tom Albers ]
  * New upstream release
    + Do not follow symlinks while searching for images (Closes: #348900)
    + Lock other screens in a multihead setup (Closes: #349483, #349523)
  * Updated debian copyright file
    + Bram Schoenmakers is now author instead of contributor
    + Made it more complete, with regard to used images
  * Removed patches/10_add_newline_to_AUTHORS.diff to add missing final
    newline, this is implemented upstream
  * debian/copyright: update list of translators

  [ Achim Bohnet ]
  * debian/copyright: year 2006 changes in copyrights
  * Update patches/98_buildprep.diff and added
    12_aclocal_m4_not_catched_by_buildprep.diff

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Tue, 21 Feb 2006 22:07:36 +0100

rsibreak (0.4.0-1) unstable; urgency=low

  [ Achim Bohnet ]
  * Add Tom Albers, the upstream author, to uploaders
  * rsibreak: the usual diffs from common-patches + buildprep
  * add buildprep target to debian/rules instead of the kde.mk
    from pkg-kde to get create-buildprep working
  * patches/11_fix_used_libs.diff.patch: Replace LIB_XSS
    with -lXss.  LIB_XSS pulls in unnecessary libXext dependency
  * debian/copyright: update list of translators

  [ Tom Albers ]
  * New upstream release. Implements wish reports
    + would like a 'pause' feature (Closes: #341212)
    + tuning ideas (Closes: #341214)
  * patches/10_add_newline_to_AUTHORS.diff to add missing final
    newline

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Wed, 21 Dec 2005 21:04:31 +0100

rsibreak (0.0.3-1) unstable; urgency=low

  * Initial upload (closes: #338036)
  * Don't install README: it is the standard KDE playground module
    README.  Nothing about rsibreak in it.

 -- Achim Bohnet <ach@mpe.mpg.de>  Tue,  8 Nov 2005 23:28:07 +0100

rsibreak (0.0.3-0) UNRELEASED; urgency=low

  * new release
  * desktop file is now in applications/kde by default: remove
    my fix

 -- Achim Bohnet <ach@mpe.mpg.de>  Mon, 31 Oct 2005 22:40:37 +0100

rsibreak (0.0.2-0ubuntu2) UNRELEASED; urgency=low

  * Pkging polishing.  Thanks for the good catches Jonathan!
      + Add translators to copyright
      + Fix packing date in copyright
      + description: RSI-syndrome -> RSI. Remove "for example,"

 -- Achim Bohnet <ach@mpe.mpg.de>  Thu, 20 Oct 2005 02:41:50 +0200

rsibreak (0.0.2-0ubuntu1) UNRELEASED; urgency=low

  * libxss-dev: added to build-depends to enable idle detection
  * disable debug messages and build with enable-final
  * recommend kdebase-data: xclock.png is in this pkg
  * added dependency on kicker: rsibreak uses kicker systray
  * added manpage provided by upstream.  Thanks Tom.
  * Include real short and long descriptions. Thanks again Tom.
  * added menu file and added icons, same as in desktop file
    (convert xclock.png rsibreak.xpm)

 -- Achim Bohnet <ach@mpe.mpg.de>  Mon, 17 Oct 2005 21:35:33 +0200
